<h2 mat-dialog-title>Withdraw Referral</h2>
<mat-divider></mat-divider>
<form [formGroup]="withdrawnFormGroup">
  <div mat-dialog-content>
    <p>Are you sure you want to withdraw the referral</p>
    <div fxLayout="column" fxLayoutGap="5px" class="withdrawn-form">
      <div fxLayout="row" fxLayout.lt-sm="column">
        <mat-label>Withdrawn Reason: </mat-label>
        <mat-form-field appearance="outline" class="regular-mat-form-field">
          <mat-select formControlName="withdrawnReasonCtrl">
            <mat-option [value]="0">Select One</mat-option>
            <mat-option *ngFor="let reason of withdrawnReason" [value]="reason.refGroupDetailID">
                {{reason.refGroupDetailDescription}}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="withdrawnFormGroup.get('withdrawnCommentCtrl').invalid">Withdraw Reason is mandatory.</mat-error>
        </mat-form-field>
      </div>
      <div fxLayout="row" fxLayout.lt-sm="column">
        <mat-label>Withdrawn Comment: </mat-label>
        <mat-form-field appearance="outline">
          <textarea matInput formControlName="withdrawnCommentCtrl" placeholder="What is the reason of withdrawn?" rows="3"></textarea>
          <mat-error *ngIf="withdrawnFormGroup.get('withdrawnCommentCtrl').invalid">Withdraw Comment is mandatory.</mat-error>
        </mat-form-field>
      </div>
    </div>

  </div>
  <mat-divider></mat-divider>
  <div mat-dialog-actions>
    <span class="idle-button" style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
      <button type="button" mat-raised-button color="primary" [disabled]="!withdrawnFormGroup.valid" (click)="onOKClick()" cdkFocusInitial>OK</button>
      <button type="button" mat-raised-button color="primary" (click)="onCancelClick()">Cancel</button>
    </span>

  </div>
</form>